Bug 1654373 - Multiple errors appear in the GUI while the deployment is in progress
Summary: Multiple errors appear in the GUI while the deployment is in progress
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-ui
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-28 15:56 UTC by Udi
Modified: 2019-01-10 10:49 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-10 10:49:27 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Udi 2018-11-28 15:56:31 UTC
Description of problem:
While the deployment is running you see many errors (toast messages) on the page:

In Chrome:
Stack Resources could not be loaded
Cannot read property 'message' of undefined

In Firefox:
Stack Resources could not be loaded
n.error is undefined

In the console you see some more messages:
Deployment parameters could not be loaded t MistralApiError
    at c (https://****.redhat.com/tripleo_ui.js:1:774349)
    at https://****.redhat.com/tripleo_ui.js:1:774200
value @ ConsoleAdapter.js:33

ConsoleAdapter.js:33 Stacks could not be loaded TypeError: Cannot read property 'message' of undefined
    at new t (index.js:82)
    at c (HeatApiService.js:102) TypeError: Cannot read property 'message' of undefined
    at new t (https://****.redhat.com/tripleo_ui.js:1:809813)
    at c (https://****.redhat.com/tripleo_ui.js:1:2162942)
value @ ConsoleAdapter.js:33


Version-Release number of selected component (if applicable):
openstack-tripleo-ui-9.3.1-0.20180921180343.df30b55.el7ost.noarch


How reproducible:
unknown


Steps to Reproduce:
1. I configured a plan with 3 controllers and 4 computes, no network isolation and no other settings
2. The plan was patched with the file containers-prepare-parameter.yaml, and the environment file containers-default-parameters.yaml was taken out of the plan
3. I configured an NtpServer in the properties dialog
4. Start deployment


Actual results:
As the deployment was progressing, I got a lot of errors on the screen. When the deployment completed (it was successful btw) the errors stopped showing up.

Screenshots to be attached.

Comment 3 Jason E. Rist 2018-11-28 17:20:14 UTC
Does this happen every time you try 3controllers/4computes? Have you tried this a second time?

Comment 4 Jiri Tomasek 2018-11-29 11:48:43 UTC
At first look it seems like timeouts from Mistral with improperly sanitized error messages from Mistral (Mistral workflows send errors in inconsistent format so we need to estimate and sanitize). I don't think it is a blocker as it does not affect Deployment or further GUI functionality.

Comment 5 Beth White 2018-11-29 12:08:00 UTC
Removing blocker flag and re-triaging for OSP15 to prevent confusion.

Comment 6 Udi 2018-11-29 12:30:58 UTC
This was not recreated a 2nd time.

Comment 7 Udi 2019-01-10 10:49:27 UTC
Unrecreatable...


Note You need to log in before you can comment on or make changes to this bug.